Bug Hunting Session
Bug 96989 - The videos embedded in a presentation start with the maximum volume
Summary: The videos embedded in a presentation start with the maximum volume
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-09 18:59 UTC by Bastián Díaz
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2016-01-09 18:59:21 UTC
LibreOffice 5.0.4.2 (5.0.4.2-3.fc23)
fedora 23 gnome 3.18.2

When you start a presentation, any video embedded in a slide starts at maximum volume, not respecting the previous values of the system.

Cheers
Comment 1 Buovjaga 2016-03-13 12:10:52 UTC
For me, it respects system volume.

Tested by launching with SAL_USE_VCLPLUGIN=gtk3 libreoffice

Tested with this random CC clip: https://commons.wikimedia.org/wiki/File:Flamenco_Road_Video_Clip_with_Michael_Laucke.ogv

Does it still happen in 5.1.1?

64-bit, KDE Plasma 5
Build ID: 5.1.1.3 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 3 Commit Notification 2016-03-17 12:26:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4b48e0de7f817c0d4607382724778acf191f9f8

Resolves: tdf#96989 videos playback at maximum possible volume

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-03-24 10:22:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f785c7ecc87435f64a218f9e1a48d35262ec0fb5&h=libreoffice-5-1

Resolves: tdf#96989 videos playback at maximum possible volume

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.